Index: /code/branches/cpp11_v2/src/orxonox/gametypes/LastManStanding.h
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/gametypes/LastManStanding.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/orxonox/gametypes/LastManStanding.h	(revision 10817)
@@ -61,5 +61,5 @@
             bool bHardPunishment; //!< Switches between damage and death as punishment.
             float punishDamageRate; //!< Makes Damage adjustable.
-            virtual void spawnDeadPlayersIfRequested(); //!< Prevents dead players to respawn.
+            virtual void spawnDeadPlayersIfRequested() override; //!< Prevents dead players to respawn.
             virtual int getMinLives(); //!< Returns minimum of each player's lives; players with 0 lives are skipped; 
 
@@ -69,16 +69,16 @@
             void setConfigValues(); //!< Makes values configurable.
 
-            virtual bool allowPawnDamage(Pawn* victim, Pawn* originator = nullptr); //!< If a player shoot's an opponent, his punishment countdown will be resetted.
-            virtual bool allowPawnDeath(Pawn* victim, Pawn* originator = nullptr); //!< Manages each players lives.
+            virtual bool allowPawnDamage(Pawn* victim, Pawn* originator = nullptr) override; //!< If a player shoot's an opponent, his punishment countdown will be resetted.
+            virtual bool allowPawnDeath(Pawn* victim, Pawn* originator = nullptr) override; //!< Manages each players lives.
 
-            virtual void end(); //!< Sends an end message.
+            virtual void end() override; //!< Sends an end message.
             int playerGetLives(PlayerInfo* player); //!< getFunction for the map "playerLives_".
             int getNumPlayersAlive() const; //!< Returns the number of players that are still alive.
-            virtual void playerEntered(PlayerInfo* player); //!< Initializes values.
-            virtual bool playerLeft(PlayerInfo* player); //!< Manages all local variables.
-            virtual void playerStartsControllingPawn(PlayerInfo* player, Pawn* pawn); //!< Resets punishment time and respawn delay.
+            virtual void playerEntered(PlayerInfo* player) override; //!< Initializes values.
+            virtual bool playerLeft(PlayerInfo* player) override; //!< Manages all local variables.
+            virtual void playerStartsControllingPawn(PlayerInfo* player, Pawn* pawn) override; //!< Resets punishment time and respawn delay.
 
             void punishPlayer(PlayerInfo* player); //!< Function in order to kill a player. Punishment for hiding longer than "timeRemaining".
-            void tick (float dt); //!< used to end the game
+            void tick (float dt) override; //!< used to end the game
     };
 }
Index: /code/branches/cpp11_v2/src/orxonox/gametypes/LastTeamStanding.h
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/gametypes/LastTeamStanding.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/orxonox/gametypes/LastTeamStanding.h	(revision 10817)
@@ -67,5 +67,5 @@
             std::map<PlayerInfo*, bool> inGame_; //!< Indicates each Player's state.
 
-            virtual void spawnDeadPlayersIfRequested(); //!< Prevents dead players to respawn.
+            virtual void spawnDeadPlayersIfRequested() override; //!< Prevents dead players to respawn.
             virtual int getMinLives(); //!< Returns minimum of each player's lives; players with 0 lives are skipped;
 
@@ -74,12 +74,12 @@
             virtual ~LastTeamStanding(); //!< Default Destructor.
 
-            virtual void playerEntered(PlayerInfo* player); //!< Initializes values.
-            virtual bool playerLeft(PlayerInfo* player); //!< Manages all local variables.
+            virtual void playerEntered(PlayerInfo* player) override; //!< Initializes values.
+            virtual bool playerLeft(PlayerInfo* player) override; //!< Manages all local variables.
 
-            virtual bool allowPawnDeath(Pawn* victim, Pawn* originator = nullptr); //!< Manages each player's lost lives.
-            virtual bool allowPawnDamage(Pawn* victim, Pawn* originator = nullptr); //!< If a player shoot's an opponent, his punishment countdown will be resetted.
-            virtual void playerStartsControllingPawn(PlayerInfo* player, Pawn* pawn); //!< Resets punishment time and respawn delay.
-            void tick (float dt); //!< used to end the game
-            virtual void end(); //!< Sends an end message.
+            virtual bool allowPawnDeath(Pawn* victim, Pawn* originator = nullptr) override; //!< Manages each player's lost lives.
+            virtual bool allowPawnDamage(Pawn* victim, Pawn* originator = nullptr) override; //!< If a player shoot's an opponent, his punishment countdown will be resetted.
+            virtual void playerStartsControllingPawn(PlayerInfo* player, Pawn* pawn) override; //!< Resets punishment time and respawn delay.
+            void tick (float dt) override; //!< used to end the game
+            virtual void end() override; //!< Sends an end message.
             void punishPlayer(PlayerInfo* player); //!< Function in order to kill a player. Punishment for hiding longer than "timeRemaining".
             int playerGetLives(PlayerInfo* player); //!< getFunction for the map "playerLives_".
Index: /code/branches/cpp11_v2/src/orxonox/gametypes/Mission.h
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/gametypes/Mission.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/orxonox/gametypes/Mission.h	(revision 10817)
@@ -42,10 +42,10 @@
             virtual ~Mission() {}
 
-            virtual void tick(float dt);
+            virtual void tick(float dt) override;
 
-            virtual void start();
-            virtual void end();
+            virtual void start() override;
+            virtual void end() override;
             virtual void setTeams();
-            virtual void addBots(unsigned int amount){} //<! overwrite function in order to bypass the addbots command
+            virtual void addBots(unsigned int amount) override{} //<! overwrite function in order to bypass the addbots command
             inline void setLives(unsigned int amount)
                 {this->lives_ = amount;}
@@ -58,5 +58,5 @@
 
         protected:
-            virtual void pawnKilled(Pawn* victim, Pawn* killer = nullptr);
+            virtual void pawnKilled(Pawn* victim, Pawn* killer = nullptr) override;
             bool missionAccomplished_; //<! indicates if player successfully finsihed the mission;
             int lives_; //<! amount of player's lives <-> nr. of retries
Index: /code/branches/cpp11_v2/src/orxonox/gametypes/TeamBaseMatch.h
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/gametypes/TeamBaseMatch.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/orxonox/gametypes/TeamBaseMatch.h	(revision 10817)
@@ -44,8 +44,8 @@
             virtual ~TeamBaseMatch() {}
 
-            virtual bool allowPawnDeath(Pawn* victim, Pawn* originator = nullptr);
-            virtual bool allowPawnDamage(Pawn* victim, Pawn* originator);
+            virtual bool allowPawnDeath(Pawn* victim, Pawn* originator = nullptr) override;
+            virtual bool allowPawnDamage(Pawn* victim, Pawn* originator) override;
 
-            virtual void playerScored(PlayerInfo* player, int score = 1);
+            virtual void playerScored(PlayerInfo* player, int score = 1) override;
             virtual void showPoints();
             virtual void endGame();
Index: /code/branches/cpp11_v2/src/orxonox/gametypes/TeamDeathmatch.h
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/gametypes/TeamDeathmatch.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/orxonox/gametypes/TeamDeathmatch.h	(revision 10817)
@@ -42,12 +42,12 @@
 
             void setConfigValues();
-            virtual void start();
-            virtual void end();
-            virtual void playerEntered(PlayerInfo* player);
-            virtual bool playerLeft(PlayerInfo* player);
-            virtual bool playerChangedName(PlayerInfo* player);
+            virtual void start() override;
+            virtual void end() override;
+            virtual void playerEntered(PlayerInfo* player) override;
+            virtual bool playerLeft(PlayerInfo* player) override;
+            virtual bool playerChangedName(PlayerInfo* player) override;
 
-            virtual void pawnKilled(Pawn* victim, Pawn* killer = nullptr);
-            virtual void playerScored(PlayerInfo* player, int score = 1);
+            virtual void pawnKilled(Pawn* victim, Pawn* killer = nullptr) override;
+            virtual void playerScored(PlayerInfo* player, int score = 1) override;
        protected:
             int maxScore_; 
Index: /code/branches/cpp11_v2/src/orxonox/gametypes/TeamGametype.h
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/gametypes/TeamGametype.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/orxonox/gametypes/TeamGametype.h	(revision 10817)
@@ -46,14 +46,14 @@
             void setConfigValues();
 
-            virtual void playerEntered(PlayerInfo* player);
+            virtual void playerEntered(PlayerInfo* player) override;
             virtual void findAndSetTeam(PlayerInfo* player);
-            virtual bool playerLeft(PlayerInfo* player);
-            virtual void spawnDeadPlayersIfRequested(); //!< Prevents players to respawn.
+            virtual bool playerLeft(PlayerInfo* player) override;
+            virtual void spawnDeadPlayersIfRequested() override; //!< Prevents players to respawn.
 
-            virtual bool allowPawnHit(Pawn* victim, Pawn* originator = nullptr);
-            virtual bool allowPawnDamage(Pawn* victim, Pawn* originator = nullptr);
-            virtual bool allowPawnDeath(Pawn* victim, Pawn* originator = nullptr);
+            virtual bool allowPawnHit(Pawn* victim, Pawn* originator = nullptr) override;
+            virtual bool allowPawnDamage(Pawn* victim, Pawn* originator = nullptr) override;
+            virtual bool allowPawnDeath(Pawn* victim, Pawn* originator = nullptr) override;
 
-            virtual void playerStartsControllingPawn(PlayerInfo* player, Pawn* pawn);
+            virtual void playerStartsControllingPawn(PlayerInfo* player, Pawn* pawn) override;
 
 
@@ -67,5 +67,5 @@
 
         protected:
-            virtual SpawnPoint* getBestSpawnPoint(PlayerInfo* player) const;
+            virtual SpawnPoint* getBestSpawnPoint(PlayerInfo* player) const override;
             bool pawnsAreInTheSameTeam(Pawn* pawn1, Pawn* pawn2);
 
Index: /code/branches/cpp11_v2/src/orxonox/gametypes/UnderAttack.h
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/gametypes/UnderAttack.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/orxonox/gametypes/UnderAttack.h	(revision 10817)
@@ -43,13 +43,13 @@
 
             void setConfigValues();
-            void tick (float dt);
+            void tick (float dt) override;
             void addDestroyer(Destroyer* destroyer);
             inline Destroyer* getDestroyer() const
                 { return this->destroyer_; }
 
-            virtual bool allowPawnHit(Pawn* victim, Pawn* originator = nullptr);
-            virtual bool allowPawnDamage(Pawn* victim, Pawn* originator = nullptr);
-            virtual bool allowPawnDeath(Pawn* victim, Pawn* originator = nullptr);
-            virtual void playerEntered(PlayerInfo* player);
+            virtual bool allowPawnHit(Pawn* victim, Pawn* originator = nullptr) override;
+            virtual bool allowPawnDamage(Pawn* victim, Pawn* originator = nullptr) override;
+            virtual bool allowPawnDeath(Pawn* victim, Pawn* originator = nullptr) override;
+            virtual void playerEntered(PlayerInfo* player) override;
 
         protected:
Index: /code/branches/cpp11_v2/src/orxonox/graphics/AnimatedModel.h
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/graphics/AnimatedModel.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/orxonox/graphics/AnimatedModel.h	(revision 10817)
@@ -44,5 +44,5 @@
             virtual ~AnimatedModel();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
             void registerVariables();
 
@@ -51,5 +51,5 @@
             virtual void setAnimEnabled(bool enabled);
             virtual void setAnimLoop(bool loop);
-            virtual void tick(float dt);
+            virtual void tick(float dt) override;
             virtual void changedMesh();
 
Index: /code/branches/cpp11_v2/src/orxonox/graphics/Backlight.h
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/graphics/Backlight.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/orxonox/graphics/Backlight.h	(revision 10817)
@@ -44,8 +44,8 @@
             virtual ~Backlight();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
-            virtual void tick(float dt);
-            virtual void changedVisibility();
+            virtual void tick(float dt) override;
+            virtual void changedVisibility() override;
 
             inline void setWidth(float width)
@@ -74,15 +74,15 @@
                 { return this->trailmaterial_; }
 
-            virtual void changedScale();
+            virtual void changedScale() override;
 
         protected:
-            virtual void changedTimeFactor(float factor_new, float factor_old);
+            virtual void changedTimeFactor(float factor_new, float factor_old) override;
 
         private:
             void registerVariables();
-            virtual void startturnonoff();
-            virtual void stopturnonoff();
-            virtual void poststopturnonoff();
-            virtual void changedColour();
+            virtual void startturnonoff() override;
+            virtual void stopturnonoff() override;
+            virtual void poststopturnonoff() override;
+            virtual void changedColour() override;
             void update_width();
             void update_lifetime();
Index: /code/branches/cpp11_v2/src/orxonox/graphics/Billboard.h
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/graphics/Billboard.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/orxonox/graphics/Billboard.h	(revision 10817)
@@ -47,7 +47,7 @@
             virtual ~Billboard();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
-            virtual void changedVisibility();
+            virtual void changedVisibility() override;
 
             inline const BillboardSet& getBillboardSet() const
@@ -71,5 +71,5 @@
 
 
-            virtual void setTeamColour(const ColourValue& colour)
+            virtual void setTeamColour(const ColourValue& colour) override
                 { this->setColour(colour); }
                 
Index: /code/branches/cpp11_v2/src/orxonox/graphics/BlinkingBillboard.h
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/graphics/BlinkingBillboard.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/orxonox/graphics/BlinkingBillboard.h	(revision 10817)
@@ -44,7 +44,7 @@
             virtual ~BlinkingBillboard();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
-            virtual void tick(float dt);
+            virtual void tick(float dt) override;
 
             inline void setAmplitude(float amplitude)
Index: /code/branches/cpp11_v2/src/orxonox/graphics/Camera.h
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/graphics/Camera.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/orxonox/graphics/Camera.h	(revision 10817)
@@ -50,5 +50,5 @@
 
             void setConfigValues();
-            virtual void tick(float dt);
+            virtual void tick(float dt) override;
 
             void requestFocus();
@@ -72,5 +72,5 @@
             void configvaluecallback_changedNearClipDistance();
 
-            void windowResized(unsigned int newWidth, unsigned int newHeight);
+            void windowResized(unsigned int newWidth, unsigned int newHeight) override;
 
             Ogre::Camera*    camera_;
Index: /code/branches/cpp11_v2/src/orxonox/graphics/FadingBillboard.h
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/graphics/FadingBillboard.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/orxonox/graphics/FadingBillboard.h	(revision 10817)
@@ -45,9 +45,9 @@
             virtual ~FadingBillboard();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
-            virtual void tick(float dt);
-            virtual void changedActivity();
-            virtual void changedVisibility();
+            virtual void tick(float dt) override;
+            virtual void changedActivity() override;
+            virtual void changedVisibility() override;
 
             inline void setTurnOnTime(float turnontime)
@@ -69,5 +69,5 @@
             virtual void stopturnonoff();
             virtual void poststopturnonoff();
-            virtual void changedColour();
+            virtual void changedColour() override;
 
             float turnontime_;
Index: /code/branches/cpp11_v2/src/orxonox/graphics/GlobalShader.h
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/graphics/GlobalShader.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/orxonox/graphics/GlobalShader.h	(revision 10817)
@@ -44,7 +44,7 @@
             virtual ~GlobalShader();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
-            virtual void changedVisibility();
+            virtual void changedVisibility() override;
 
             inline const Shader& getShader() const
Index: /code/branches/cpp11_v2/src/orxonox/graphics/Light.h
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/graphics/Light.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/orxonox/graphics/Light.h	(revision 10817)
@@ -56,7 +56,7 @@
             virtual ~Light();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
-            virtual void changedVisibility();
+            virtual void changedVisibility() override;
 
             inline Ogre::Light* getLight()
@@ -78,5 +78,5 @@
                 { return this->specular_; }
 
-            virtual void setTeamColour(const ColourValue& colour)
+            virtual void setTeamColour(const ColourValue& colour) override
                 { this->setDiffuseColour(colour); this->setSpecularColour(colour); }
 
Index: /code/branches/cpp11_v2/src/orxonox/graphics/MeshLodInformation.h
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/graphics/MeshLodInformation.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/orxonox/graphics/MeshLodInformation.h	(revision 10817)
@@ -50,5 +50,5 @@
             float getReductionRate(){ return this->reductionRate_; }
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
         private:
Index: /code/branches/cpp11_v2/src/orxonox/graphics/Model.h
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/graphics/Model.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/orxonox/graphics/Model.h	(revision 10817)
@@ -46,7 +46,7 @@
             void setConfigValues();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
-            virtual void changedVisibility();
+            virtual void changedVisibility() override;
 
             inline const Mesh& getMesh() const
Index: /code/branches/cpp11_v2/src/orxonox/graphics/ParticleEmitter.h
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/graphics/ParticleEmitter.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/orxonox/graphics/ParticleEmitter.h	(revision 10817)
@@ -43,8 +43,8 @@
             virtual ~ParticleEmitter();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
-            virtual void changedVisibility();
-            virtual void changedActivity();
+            virtual void changedVisibility() override;
+            virtual void changedActivity() override;
 
             inline ParticleInterface* getParticleInterface() const
Index: /code/branches/cpp11_v2/src/orxonox/graphics/ParticleSpawner.h
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/graphics/ParticleSpawner.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/orxonox/graphics/ParticleSpawner.h	(revision 10817)
@@ -43,6 +43,6 @@
             virtual ~ParticleSpawner();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
-            virtual void XMLEventPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
+            virtual void XMLEventPort(Element& xmlelement, XMLPort::Mode mode) override;
 
             inline void stop(bool bDestroy)
Index: /code/branches/cpp11_v2/src/orxonox/infos/Bot.h
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/infos/Bot.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/orxonox/infos/Bot.h	(revision 10817)
@@ -45,9 +45,9 @@
             void setConfigValues();
 
-            inline bool isInitialized() const
+            inline bool isInitialized() const override
                 { return true; }
-            inline float getPing() const
+            inline float getPing() const override
                 { return 0; }
-            inline float getPacketLossRatio() const
+            inline float getPacketLossRatio() const override
                 { return 0; }
 
Index: /code/branches/cpp11_v2/src/orxonox/infos/HumanPlayer.h
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/infos/HumanPlayer.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/orxonox/infos/HumanPlayer.h	(revision 10817)
@@ -45,11 +45,11 @@
             void setConfigValues();
 
-            bool isInitialized() const;
-            float getPing() const;
-            float getPacketLossRatio() const;
+            bool isInitialized() const override;
+            float getPing() const override;
+            float getPacketLossRatio() const override;
 
             void setClientID(unsigned int clientID);
 
-            virtual void switchGametype(Gametype* gametype);
+            virtual void switchGametype(Gametype* gametype) override;
 
             inline void setHumanHUDTemplate(const std::string& name)
Index: /code/branches/cpp11_v2/src/orxonox/infos/PlayerInfo.h
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/infos/PlayerInfo.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/orxonox/infos/PlayerInfo.h	(revision 10817)
@@ -44,5 +44,5 @@
             virtual ~PlayerInfo();
 
-            virtual void changedName();
+            virtual void changedName() override;
             virtual void switchGametype(Gametype* gametype);
 
Index: /code/branches/cpp11_v2/src/orxonox/interfaces/PickupCarrier.h
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/interfaces/PickupCarrier.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/orxonox/interfaces/PickupCarrier.h	(revision 10817)
@@ -77,5 +77,5 @@
             PickupCarrier(); //!< Constructor.
             virtual ~PickupCarrier(); //!< Destructor.
-            void preDestroy(void); //!< Is called before the PickupCarrier is effectively destroyed.
+            void preDestroy(void) override; //!< Is called before the PickupCarrier is effectively destroyed.
 
             bool isTarget(const Pickupable* pickup) const; //!< Can be used to check whether the PickupCarrier or a child of his is a target ot the input Pickupable.
Index: /code/branches/cpp11_v2/src/orxonox/interfaces/Pickupable.h
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/interfaces/Pickupable.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/orxonox/interfaces/Pickupable.h	(revision 10817)
@@ -144,5 +144,5 @@
 
         protected:
-            virtual void preDestroy(void); //!< A method that is called by Destroyable::destroy() before the object is actually destroyed.
+            virtual void preDestroy(void) override; //!< A method that is called by Destroyable::destroy() before the object is actually destroyed.
             virtual void destroyPickup(void); //!< Destroys a Pickupable.
             virtual void carrierDestroyed(void); //!< Is called by the PickupCarrier when it is being destroyed.
@@ -182,5 +182,5 @@
         // For implementing the Rewardable interface:
         public:
-            virtual bool reward(PlayerInfo* player); //!< Method to transcribe a Pickupable as a Rewardable to the player.
+            virtual bool reward(PlayerInfo* player) override; //!< Method to transcribe a Pickupable as a Rewardable to the player.
 
     };
Index: /code/branches/cpp11_v2/src/orxonox/items/Engine.h
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/items/Engine.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/orxonox/items/Engine.h	(revision 10817)
@@ -59,5 +59,5 @@
             virtual ~Engine();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
             void setConfigValues();
 
Index: /code/branches/cpp11_v2/src/orxonox/items/MultiStateEngine.h
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/items/MultiStateEngine.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/orxonox/items/MultiStateEngine.h	(revision 10817)
@@ -52,9 +52,9 @@
             virtual ~MultiStateEngine();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
-            virtual void run(float dt);
+            virtual void run(float dt) override;
 
-            virtual void addToSpaceShip(SpaceShip* ship);
+            virtual void addToSpaceShip(SpaceShip* ship) override;
 
             void addEffectContainer(EffectContainer* effect);
Index: /code/branches/cpp11_v2/src/orxonox/items/PartDestructionEvent.h
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/items/PartDestructionEvent.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/orxonox/items/PartDestructionEvent.h	(revision 10817)
@@ -100,5 +100,5 @@
             virtual ~PartDestructionEvent();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
             void execute();
Index: /code/branches/cpp11_v2/src/orxonox/items/ShipPart.h
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/items/ShipPart.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/orxonox/items/ShipPart.h	(revision 10817)
@@ -47,5 +47,5 @@
             virtual ~ShipPart();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
             virtual void handleHit(float damage, float healthdamage, float shielddamage, Pawn* originator);
Index: /code/branches/cpp11_v2/src/orxonox/overlays/GUISheet.h
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/overlays/GUISheet.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/orxonox/overlays/GUISheet.h	(revision 10817)
@@ -44,5 +44,5 @@
         ~GUISheet();
 
-        void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+        void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
         void show();
Index: /code/branches/cpp11_v2/src/orxonox/overlays/InGameConsole.h
===================================================================
--- /code/branches/cpp11_v2/src/orxonox/overlays/InGameConsole.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/orxonox/overlays/InGameConsole.h	(revision 10817)
@@ -53,6 +53,6 @@
         void setConfigValues();
 
-        void preUpdate(const Clock& time);
-        void postUpdate(const Clock& time) { /*no action*/ }
+        void preUpdate(const Clock& time) override;
+        void postUpdate(const Clock& time) override { /*no action*/ }
 
         static void openConsole();
@@ -65,10 +65,10 @@
         void deactivate();
 
-        void linesChanged();
-        void lineAdded();
-        void inputChanged();
-        void cursorChanged();
-        void executed();
-        void exit();
+        void linesChanged() override;
+        void lineAdded() override;
+        void inputChanged() override;
+        void cursorChanged() override;
+        void executed() override;
+        void exit() override;
 
         void shiftLines();
@@ -77,5 +77,5 @@
         void print(const std::string& text, Shell::LineType type, int index, bool alwaysShift = false);
 
-        void windowResized(unsigned int newWidth, unsigned int newHeight);
+        void windowResized(unsigned int newWidth, unsigned int newHeight) override;
 
         // config value related
